# _LogInfo Struct Reference

## Data Fields

LogEventType | event_mask
LogHandlerType | handler_mask
char * | path
char * | name
char * | filename
char * | format
unsigned long | generations
unsigned long | limit
FILE * | file
unsigned long | generation
MagickBooleanType | append
MagickBooleanType | stealth
TimerInfo | timer
unsigned long | signature

## Field Documentation

LogEventType _LogInfo::event_mask

LogHandlerType _LogInfo::handler_mask

char* _LogInfo::path

char * _LogInfo::name

char * _LogInfo::filename

char * _LogInfo::format

unsigned long _LogInfo::generations

unsigned long _LogInfo::limit

FILE* _LogInfo::file

unsigned long _LogInfo::generation

MagickBooleanType _LogInfo::append

MagickBooleanType _LogInfo::stealth

TimerInfo _LogInfo::timer

unsigned long _LogInfo::signature

The documentation for this struct was generated from the following file:

- log.c